#!/usr/bin/perl -w
# gi numbers を書いたリスト (ginums.txt) を読み込んで，もとの acc nums を返します．

# perl ginumToaccnum.pl

use strict;
use warnings;
use Bio::DB::EUtilities;
 
my @ids = ( );

open(INFILE,"ginums.txt") or die "$!";
@ids = <INFILE>;
close INFILE;


foreach my $id (@ids) { 
  chomp($id);
  my $factory = Bio::DB::EUtilities->new(-eutil   => 'efetch',
                                         -db      => 'nucleotide',
  #                                       -id      => \@ids,
                                          id      => $id,
                                         -email   => 'mymail@foo.bar',
                                         -rettype => 'acc');
  # -db については，Bio::Tools::EUtilities::EUtilParameters　を見ると，以下の種類があるようです．．
  # 　protein,nucleotide,nuccore,nucgss,nucest,structure,genome,gene,journals
  # ただし，protein と nucleotide を変えても，同じ結果が得られました．
  # Bio::DB::EUtilities は Bio::Tools::EUtilities::EUtilParameters を使っています．
  
  my @accs = split(m{\n},$factory->get_Response->content);
  my $acc = shift @accs;
  
  print "$id $acc\n";
}

exit;
